<?php 
error_reporting(E_ALL);
ini_set("display_errors", "On");

$version = '1.01';
?>
<!DOCTYPE html>
<html>
<head>
<?php include 'config.php' ?>
<?php include 'lang.php' ?>
<title><?php echo $homeTitle; ?></title>
<meta http-equiv="Content-type" content="text/html; charset=utf-8">
<meta name="author" content="Éric Leclerc">
<meta name="viewport" content="initial-scale=1.0, maximum-scale=1.0, width=device-width, user-scalable=yes">

<?php include 'style.php' ?>

</head>
<body>

<div style="text-align:right; position:absolute; padding:3px; top:0px; right:0px; border: solid 1px <?php echo $couleur_contour; ?>">
<?php
if(file_exists('config.php')) {
	$file = "https://richmondstpats.org/sim/TSP.txt";
	$exists = 0;
	if( ini_get('allow_url_fopen') ) {
		$file_headers = @get_headers($file);
		if(!$file_headers || $file_headers[0] == 'HTTP/1.1 404 Not Found') $exists = 0;
		else $exists = 1;
	}
	else {
		$remoteFile = $file;
		// Initialize cURL
		$ch = curl_init($remoteFile);
		curl_setopt($ch, CURLOPT_NOBODY, true);
		curl_exec($ch);
		$responseCode = curl_getinfo($ch, CURLINFO_HTTP_CODE);
		curl_close($ch);
		
		// Check the response code
		if($responseCode == 200) $exists = 2;
		else $exists = 0;
	}
	if($exists > 0) {
		if($exists == 1) $data = file($file);
		if($exists == 2) {
			$curl = curl_init();
			curl_setopt($curl, CURLOPT_URL, $file);
			curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
			curl_setopt($curl, CURLOPT_HEADER, false);
			$data = explode(PHP_EOL, curl_exec($curl));
			curl_close($curl);	
		}
		if(trim($version) != trim($data[0])) echo '<a class="lien-noir" style="font-weight:bold;" href="'.$data[1].'">New Version available! - v'.$data[0].'</a><br>';
	}
	else echo 'allow_url_fopen & cURL is set at 0 in PHP.ini<br>Code can\'t check for new update.<br>';

	echo 'Current Version: '.$version.'<br>';
	$str = file_get_contents('config.php');
	$bom = pack("CCC", 0xef, 0xbb, 0xbf);
	if (0 === strncmp($str, $bom, 3)) {
		echo "Warning: config.php with BOM<br>Use notepad++ to edit this file!";
	}
	else {
		echo "Configuration files: OK";
	}
	
	if($leagueLang == 'EN') echo '<br>Lang: English';
	if($leagueLang == 'FR') echo '<br>Langue: Français';
	if($leagueLang != 'EN' && $leagueLang != 'FR') echo '<br><span style="color:red; font-weight:bold;">Lang Error!</span>';
	
	echo '<br>HTML folder: '.$folder;
	if($folderGames != '') echo '<br>Games HTML folder: '.$folderGames;
	else echo '<br>Games HTML folder same as below';
	
	$matches = glob($folder.'*GMs.html');
	$folderLeagueURL = '';
	$matchesDate = array_map('filemtime', $matches);
	arsort($matchesDate);
	foreach ($matchesDate as $j => $val) {
			$folderLeagueURL = substr($matches[$j], strrpos($matches[$j], '/')+1,  strpos($matches[$j], 'GMs')-strrpos($matches[$j], '/')-1);
			break 1;
	}
	if($folderLeagueURL != '') echo '<br>File Name Extra: '.$folderLeagueURL;
	else echo '<br><span style="color:red; font-weight:bold;">No Extra Name on your HTML files!</span>';
	
	if($leagueSalaryIncFarm == 1) echo '<br>Salary Cop: Pro+Farm Payroll';
	if($leagueSalaryIncFarm == 0) echo '<br>Salary Cop: Pro Payroll Only';
	
	if($leagueSalaryCap != 0) echo '<br>Salary Cap: '.$leagueSalaryCap;
	if($leagueSalaryCap == 0) echo '<br>No Salary Cop';
	
	if($leagueSalaryClose != 0) echo '<br>Salary Cap Close: '.$leagueSalaryClose;
	if($leagueSalaryClose == 0) echo '<br>No Salary Cap Close';
	
	if($leagueSalaryCapFloor != 0) echo '<br>Salary Cap Floor: '.$leagueSalaryCapFloor;
	if($leagueSalaryCapFloor == 0) echo '<br>No Salary Cap Floor';
	
	if($folderCarrerStats) echo '<br>Career Stats: '.$folderCarrerStats;
	if($folderCarrerStats == '0') echo '<br>Career Stats: Off';
	
	if($folderTeamLogos) echo '<br>Team Logos folder: '.$folderTeamLogos;
	
	echo '<br>Theme selected: '.$selectedColor;
	
	echo '<br>PHP Version: '.phpversion();
	if(isset($_SERVER['DOCUMENT_ROOT'])) {
		echo '<br>'.$_SERVER["DOCUMENT_ROOT"];
		
		function rsearch($sfolder, $pattern) {
			$iti = new RecursiveDirectoryIterator($sfolder);
			foreach(new RecursiveIteratorIterator($iti) as $file){
				if(strpos($file , $pattern) !== false){
					return $file;
				}
			}
			return false;
		}
		if(!defined('__DIR__')) { define('__DIR__', dirname(__FILE__)); }
		$scanFolder = $scanFolderWork = substr(__DIR__.DIRECTORY_SEPARATOR, strlen($_SERVER['DOCUMENT_ROOT'].DIRECTORY_SEPARATOR));
		$scanFolderFull = __DIR__.DIRECTORY_SEPARATOR;
		for($x=0;$x<substr_count($scanFolder,DIRECTORY_SEPARATOR);$x++) {
			$filepath = rsearch($scanFolderFull, "admin".DIRECTORY_SEPARATOR."fhlteam.php");
			if(isset($filepath) && $filepath != '') break 1;
			$scanFolderFull = dirname($scanFolderFull).DIRECTORY_SEPARATOR;
		}
		
		$filepath = rsearch($_SERVER['DOCUMENT_ROOT'], 'admin'.DIRECTORY_SEPARATOR.'fhlteam.php');
		if(isset($filepath) && $filepath != '') {
			$filepath = substr($filepath, strlen($_SERVER['DOCUMENT_ROOT']), strpos($filepath, 'admin'.DIRECTORY_SEPARATOR.'fhlteam.php')-strlen($_SERVER['DOCUMENT_ROOT']));
			echo '<br>GM Editor Found!';
		}
		else echo '<br>GM Editor not Found!';
	}
	else echo '<br>$_SERVER[\'DOCUMENT_ROOT\'] not found!';
	
	if($leagueChatBox != 0) echo '<br>ChatBox Enabled';
	if($leagueChatBox == 0) echo '<br>ChatBox Disabled';
	
	echo '<br>Chat TimeZone: '.$leagueTimeZone;
	
	if($leagueBackButton != 0) echo '<br>Back Button Enabled';
	if($leagueBackButton == 0) echo '<br>Back Button Disabled';
	
	if($leagueHomeButton != 0) echo '<br>Home Button Enabled';
	if($leagueHomeButton == 0) echo '<br>Home Button Disabled';
	
	if($leagueFuturesLink == 1) echo '<br>hockeyDB links selected';
	if($leagueFuturesLink == 2) echo '<br>EliteProspect links selected';
}
else {
	echo '<span style="color:red; font-weight:bold;">No config.php found!</span>';
}
?>
</div>

<div style="float:left; width:150px; border: solid 1px <?php echo $couleur_contour; ?>;">
	<table class="tableau">
		<tr class="tableau-top"><td><?php echo $homeUtilityPage; ?></td></tr>
		<tr class="hover2"><td><a class="lien-noir" style="display:block; width:100%;" href="CareerStats.php"><?php echo $careerStatsTitle; ?></a></td></tr>
		<tr class="hover1"><td><a class="lien-noir" style="display:block; width:100%;" href="SearchPlayers.php"><?php echo $searchPlayerTitle; ?></a></td></tr>
		<tr class="hover2"><td><a class="lien-noir" style="display:block; width:100%;" href="ComparePlayers.php"><?php echo $compareTitle; ?></a></td></tr>
		<tr class="hover1"><td><a class="lien-noir" style="display:block; width:100%;" href="fiche.php"><?php echo $teamCardTitle; ?></a></td></tr>
		<tr class="hover2"><td><a class="lien-noir" style="display:block; width:100%;" href="CareerLeaders.php"><?php echo $langCareerLeadersTitle; ?></a></td></tr>
		<tr class="hover1"><td><a class="lien-noir" style="display:block; width:100%;" href="CareerLeaders.php?one=1"><?php echo $langCareerTeamLeadersTitle; ?></a></td></tr>
		<tr class="hover2"><td><a class="lien-noir" style="display:block; width:100%;" href="CareerStandings.php"><?php echo $careerStandingsTitle; ?></a></td></tr>
		<tr class="hover1"><td><a class="lien-noir" style="display:block; width:100%;" href="Unassigned.php"><?php echo $langUnassignedPlayers; ?></a></td></tr>
		<tr class="hover2"><td><a class="lien-noir" style="display:block; width:100%;" href="ChatBox.php"><?php echo $langChatBoxTitle; ?></a></td></tr>
		<tr class="hover1"><td><a class="lien-noir" style="display:block; width:100%;" href="SalaryCopDaily.php"><?php echo $langSalaryCopDailyTitle; ?></a></td></tr>
	</table>
	<div class="titre"><span class="bold-blanc"><?php echo $homeTitle.' - '.$homeSeason; ?></span></div>
	<table class="tableau">
		<tr class="tableau-top"><td><?php echo $homeSeason; ?></td></tr>
		<tr class="hover2"><td><a class="lien-noir" style="display:block; width:100%;" href="Schedule.php"><?php echo $schedTitle; ?></a></td></tr>
		<tr class="hover1"><td><a class="lien-noir" style="display:block; width:100%;" href="Standings.php"><?php echo $standingTitle; ?></a></td></tr>
		<tr class="hover2"><td><a class="lien-noir" style="display:block; width:100%;" href="StandingsWildCard.php"><?php echo $standingTitleWildCard; ?></a></td></tr>
		<tr class="hover1"><td><a class="lien-noir" style="display:block; width:100%;" href="OverallStandings.php"><?php echo $standingOVTitle; ?></a></td></tr>
		<tr class="hover2"><td><a class="lien-noir" style="display:block; width:100%;" href="TodayGames.php"><?php echo $todayTitle; ?></a></td></tr>
		<tr class="hover1"><td><a class="lien-noir" style="display:block; width:100%;" href="TodayGamesTSN.php"><?php echo $todayTitle.' (TSN)'; ?></a></td></tr>
		<tr class="tableau-top"><td><?php echo $homeTeam; ?></td></tr>
		<tr class="hover2"><td><a class="lien-noir" style="display:block; width:100%;" href="GMs.php"><?php echo $GMsTitle; ?></a></td></tr>
		<tr class="hover1"><td><a class="lien-noir" style="display:block; width:100%;" href="Coaches.php"><?php echo $CoachesTitle; ?></a></td></tr>
		<tr class="hover2"><td><a class="lien-noir" style="display:block; width:100%;" href="Finance.php"><?php echo $financeTitle; ?></a></td></tr>
		<tr class="hover1"><td><a class="lien-noir" style="display:block; width:100%;" href="Futures.php"><?php echo $prospectsTitle; ?></a></td></tr>
		<tr class="hover2"><td><a class="lien-noir" style="display:block; width:100%;" href="Injury.php"><?php echo $injuryTitle; ?></a></td></tr>
		<tr class="hover1"><td><a class="lien-noir" style="display:block; width:100%;" href="Lines.php"><?php echo $linesTitle; ?></a></td></tr>
		<tr class="hover2"><td><a class="lien-noir" style="display:block; width:100%;" href="PlayerVitals.php"><?php echo $joueursTitle; ?></a></td></tr>
		<tr class="hover1"><td><a class="lien-noir" style="display:block; width:100%;" href="Rosters.php"><?php echo $rostersTitle; ?></a></td></tr>
		<tr class="hover2"><td><a class="lien-noir" style="display:block; width:100%;" href="TeamScoring.php"><?php echo $scoringTitle; ?></a></td></tr>
		<tr class="hover1"><td><a class="lien-noir" style="display:block; width:100%;" href="LinkedRosters.php"><?php echo $linkedTitle; ?></a></td></tr>
		<tr class="hover2"><td><a class="lien-noir" style="display:block; width:100%;" href="SalaryCop.php"><?php echo $salaryCopTitle; ?></a></td></tr>
		<tr class="hover1"><td><a class="lien-noir" style="display:block; width:100%;" href="Transact.php"><?php echo $transactTitle; ?></a></td></tr>
		<tr class="hover2"><td><a class="lien-noir" style="display:block; width:100%;" href="Waivers.php"><?php echo $waiversTitle; ?></a></td></tr>
		<tr class="tableau-top"><td><?php echo $homeStats; ?></td></tr>
		<tr class="hover2"><td><a class="lien-noir" style="display:block; width:100%;" href="Leaders.php"><?php echo $leaderTitle; ?></a></td></tr>
		<tr class="hover1"><td><a class="lien-noir" style="display:block; width:100%;" href="Individual.php"><?php echo $individualTitle; ?></a></td></tr>
		<tr class="hover2"><td><a class="lien-noir" style="display:block; width:100%;" href="TeamStats.php"><?php echo $teamStatsTitle; ?></a></td></tr>
		<tr class="tableau-top"><td><?php echo $homeFarm; ?></td></tr>
		<tr class="hover2"><td><a class="lien-noir" style="display:block; width:100%;" href="Leaders.php?s=1"><?php echo $leaderTitle; ?></a></td></tr>
		<tr class="hover1"><td><a class="lien-noir" style="display:block; width:100%;" href="Standings.php?s=1"><?php echo $standingTitle; ?></a></td></tr>
	</table>
	<div class="titre"><span class="bold-blanc"><?php echo $homeTitle.' - '.$homePlayoff; ?></span></div>
	<table class="tableau">
		<tr class="tableau-top"><td><?php echo $homePlayoff; ?></td></tr>
		<tr class="hover2"><td><a class="lien-noir" style="display:block; width:100%;" href="Schedule.php?plf=1"><?php echo $schedTitle; ?></a></td></tr>
		<tr class="hover1"><td><a class="lien-noir" style="display:block; width:100%;" href="Standings.php?plf=1"><?php echo $standingTitle; ?></a></td></tr>
		<tr class="hover2"><td><a class="lien-noir" style="display:block; width:100%;" href="OverallStandings.php?plf=1"><?php echo $standingOVTitle; ?></a></td></tr>
		<tr class="hover1"><td><a class="lien-noir" style="display:block; width:100%;" href="StandingsTree.php"><?php echo $StandingsTreeTitle; ?></a></td></tr>
		<tr class="hover2"><td><a class="lien-noir" style="display:block; width:100%;" href="TodayGames.php?plf=1"><?php echo $todayTitle; ?></a></td></tr>
		<tr class="tableau-top"><td><?php echo $homeTeam; ?></td></tr>
		<tr class="hover2"><td><a class="lien-noir" style="display:block; width:100%;" href="GMs.php?plf=1"><?php echo $GMsTitle; ?></a></td></tr>
		<tr class="hover1"><td><a class="lien-noir" style="display:block; width:100%;" href="Coaches.php?plf=1"><?php echo $CoachesTitle; ?></a></td></tr>
		<tr class="hover2"><td><a class="lien-noir" style="display:block; width:100%;" href="Finance.php?plf=1"><?php echo $financeTitle; ?></a></td></tr>
		<tr class="hover1"><td><a class="lien-noir" style="display:block; width:100%;" href="Futures.php?plf=1"><?php echo $prospectsTitle; ?></a></td></tr>
		<tr class="hover2"><td><a class="lien-noir" style="display:block; width:100%;" href="Injury.php?plf=1"><?php echo $injuryTitle; ?></a></td></tr>
		<tr class="hover1"><td><a class="lien-noir" style="display:block; width:100%;" href="Lines.php?plf=1"><?php echo $linesTitle; ?></a></td></tr>
		<tr class="hover2"><td><a class="lien-noir" style="display:block; width:100%;" href="PlayerVitals.php?plf=1"><?php echo $joueursTitle; ?></a></td></tr>
		<tr class="hover1"><td><a class="lien-noir" style="display:block; width:100%;" href="Rosters.php?plf=1"><?php echo $rostersTitle; ?></a></td></tr>
		<tr class="hover2"><td><a class="lien-noir" style="display:block; width:100%;" href="TeamScoring.php?plf=1"><?php echo $scoringTitle; ?></a></td></tr>
		<tr class="hover1"><td><a class="lien-noir" style="display:block; width:100%;" href="LinkedRosters.php?plf=1"><?php echo $linkedTitle; ?></a></td></tr>
		<tr class="hover2"><td><a class="lien-noir" style="display:block; width:100%;" href="SalaryCop.php?plf=1"><?php echo $salaryCopTitle; ?></a></td></tr>
		<tr class="hover1"><td><a class="lien-noir" style="display:block; width:100%;" href="Transact.php?plf=1"><?php echo $transactTitle; ?></a></td></tr>
		<tr class="hover2"><td><a class="lien-noir" style="display:block; width:100%;" href="Waivers.php?plf=1"><?php echo $waiversTitle; ?></a></td></tr>
		<tr class="tableau-top"><td><?php echo $homeStats; ?></td></tr>
		<tr class="hover2"><td><a class="lien-noir" style="display:block; width:100%;" href="Leaders.php?plf=1"><?php echo $leaderTitle; ?></a></td></tr>
		<tr class="hover1"><td><a class="lien-noir" style="display:block; width:100%;" href="Individual.php?plf=1"><?php echo $individualTitle; ?></a></td></tr>
		<tr class="hover2"><td><a class="lien-noir" style="display:block; width:100%;" href="TeamStats.php?plf=1"><?php echo $teamStatsTitle; ?></a></td></tr>
	</table>
</div>

<div style="float:left; margin-left:20px;">
	<?php
		$code = '<?php $PageLink = "Link"; include $PageLink.\'MiniChatBox.php\'; ?>';
		highlight_string($code);
	?>
	<br>
	<?php $PageLink = ""; include $PageLink.'MiniChatBox.php'; ?>
	<br>
	<?php
		$code = '<?php $PageLink = "Link"; include $PageLink.\'MiniTransact.php\'; ?>';
		highlight_string($code);
	?>
	<br>
	<?php $PageLink = ""; include $PageLink.'MiniTransact.php'; ?>
	<br>
	<?php
		$code = '<?php $PageLink = "Link"; include $PageLink.\'MiniTop5.php\'; ?>';
		highlight_string($code);
	?>
	<br>
	<?php $PageLink = ""; include $PageLink.'MiniTop5.php'; ?>
	<br>
	<?php
		$code = '<?php $PageLink = "Link"; include $PageLink.\'MiniTodayGames.php\'; ?>';
		highlight_string($code);
	?>
	<br>
	<?php $PageLink = ""; include $PageLink.'MiniTodayGames.php'; ?>
	<br>
	<?php
		$code = '<?php $PageLink = "Link"; include $PageLink.\'MiniWaivers.php\'; ?>';
		highlight_string($code);
	?>
	<br>
	<?php $PageLink = ""; include $PageLink.'MiniWaivers.php'; ?>
	<br>

	<?php
	# Playoff
	$code = '<?php $playoff = 1; $PageLink = ""; include $PageLink.\'MiniTransact.php\'; ?>';
	highlight_string($code);
	echo '<br>';
	$playoff = 1;
	include $PageLink.'MiniTransact.php';
		
	echo '<br>';
	
	$code = '<?php $playoff = 1; $PageLink = ""; include $PageLink.\'MiniTop5.php\'; ?>';
	highlight_string($code);
	echo '<br>';
	$playoff = 1;
	include $PageLink.'MiniTop5.php';
		
	echo '<br>';
	$code = '<?php $playoff = 1; $PageLink = ""; include $PageLink.\'MiniTodayGames.php\'; ?>';
	highlight_string($code);
	echo '<br>';
	$playoff = 1;
	include $PageLink.'MiniTodayGames.php';
	echo '<br>';
	
	$code = '<?php $playoff = 1; $PageLink = ""; include $PageLink.\'MiniWaivers.php\'; ?>';
	highlight_string($code);
	echo '<br>';
	$playoff = 1;
	include $PageLink.'MiniWaivers.php';
	?>
	
	
</div>

</body>
</html>